package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrderGoods;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrderGoodsExample;
import java.util.List;

import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderGoodsVO;
import org.apache.ibatis.annotations.Param;

public interface OperationCenterOrderGoodsMapper {
    long countByExample(OperationCenterOrderGoodsExample example);

    int deleteByExample(OperationCenterOrderGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterOrderGoods record);

    int insertSelective(OperationCenterOrderGoods record);

    List<OperationCenterOrderGoods> selectByExampleWithBLOBs(OperationCenterOrderGoodsExample example);

    List<OperationCenterOrderGoods> selectByExample(OperationCenterOrderGoodsExample example);

    OperationCenterOrderGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OperationCenterOrderGoods record, @Param("example") OperationCenterOrderGoodsExample example);

    int updateByExampleWithBLOBs(@Param("record") OperationCenterOrderGoods record, @Param("example") OperationCenterOrderGoodsExample example);

    int updateByExample(@Param("record") OperationCenterOrderGoods record, @Param("example") OperationCenterOrderGoodsExample example);

    int updateByPrimaryKeySelective(OperationCenterOrderGoods record);

    int updateByPrimaryKeyWithBLOBs(OperationCenterOrderGoods record);

    int updateByPrimaryKey(OperationCenterOrderGoods record);

    List<OperationCenterOrderGoodsVO> getOrderGoodsListByOrderSn(String platformCode,String orderSn);
}